Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class FatalWorkflowTransitionException

    java.lang.Object
      javax.ejb.EJBException
          com.beasys.commerce.foundation.exception.SystemException
              com.beasys.commerce.foundation.FatalWorkflowTransitionException

All Implemented Interfaces
  MessageCatalogException

    public class FatalWorkflowTransitionException

extends SystemException

`FatalWorkflowTransitionException` is thrown when an unexpected illegal workflow transition occurs. This exception is a system-level exception.

See Also
  `SystemException`

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`FatalWorkflowTransitionException(String currentStateName, String attemptedTransitionName)` Class constructor.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FatalWorkflowTransitionException

    public FatalWorkflowTransitionException(String currentStateName,
                                            String attemptedTransitionName)

  Class constructor.

  Parameters
    `currentStateName` - The name of the current Workflow state.
    `attemptedTransitionName` - The name of the attempted transition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved